;---------------------------------------------------------------------------
;Dash Afterimages
[Statedef 104]
type    = S
movetype= I
physics = N
ctrl = 0
velset = 0,0
sprpriority = -1

[State 104, 1]
type = ChangeAnim
trigger1 = Time = 0
value = parent, Anim
elem = parent, animelemno(0)

[State 104, 2]
type = ChangeAnim
trigger1 = Time >= 1
value = Anim
elem = animelemno(0)

[State 104, 3]
type = SprPriority
trigger1 = Time = 3
value = -2

[State 104, 4]
type = SprPriority
trigger1 = Time = 6
value = -3

[State 104, 6]
type = NotHitBy
trigger1 = 1
value = SCA

[State 104, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 104, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 160, 128

[State 104, Trans]
type = Trans
trigger1 = time > 4
trans = addalpha
alpha = 140, 160

[State 104, Trans]
type = Trans
trigger1 = time > 6
trans = addalpha
alpha = 120, 200

[State 104, Trans]
type = Trans
trigger1 = time > 8
trans = addalpha
alpha = 80, 230

[State 104, Trans]
type = Trans
trigger1 = time > 10
trans = addalpha
alpha = 40, 256

[State 104, DestroySelf]
type = DestroySelf
trigger1 = time = 12

;---------------------------------------------------------------------------
;K-Palette Selection ; Thank you "POTS Style/XCOSTUME" Base
[Statedef 256]
physics = N
anim = 256
velset = 0,0
sprpriority = 99999
 
[State 256, PosSet]
type = PosSet
trigger1 =!time 
x = root,facing*-180
y = 40
ignorehitpause = 1

[State 256, AS]
type= assertspecial
trigger1 = 1
flag = intro
flag2 = noshadow

[State 256, Reset]
type = varset
trigger1 = !time
var(29) = 200

[State 256, Pal]
type = VarSet
trigger1 = !time
var(26) = root,palno

[State 256, VarSet]
type = VarSet
trigger1 = var(26)<1 || var(26)>25
var(26) = 1+(var(26)<1)*24

[State 256, PlaySnd]
type = PlaySnd
trigger1 = var(10) = 2 
value = S256,0
volumescale = 100
channel = 20

[State 256, PlaySnd]
type = PlaySnd
triggerall = ishelper(256)
trigger1 = root,command = "a" || root,command = "b" || root,command = "c" || root,command = "x" || root,command = "y" || root,command = "z" || root,command = "start" || roundstate = 2
trigger2 = var(29)<=5
value = S256,1
volumescale = 100
channel = 20
persistent = 0 

[State 256, Countdown]
type = VarAdd
trigger1 = 1 
var(29) = -1

[State 256, Countdown]
type = VarAdd
trigger1 = !var(10) && var(29)<150
trigger1 = root,command = "holdback" || root,command = "holdfwd"
var(29)=25

[State 256, Varadd]
type = VarAdd
trigger1 = !var(10)
trigger1 = root,command = "holdback" || root,command = "holdfwd"
var(26) = 1 - (root,command = "holdback" && facing = 1 || root,command = "holdfwd" && facing = -1)*2

[State 256, Varadd]
type = VarAdd
trigger1=(root,command = "holdback" || root,command = "holdfwd") && !var(10) || var(10)
var(10) = 1

[State 256, Varset]
type=varset
trigger1 = !time || var(10)>=10
var(10) = 0

[State 256, End]
type = DestroySelf
triggerall = ishelper(256)
trigger1 = root,command = "a" || root,command = "b" || root,command = "c" || root,command = "x" || root,command = "y" || root,command = "z" || root,command = "start" || roundstate = 2
trigger2 = var(29)<=0
trigger3 = root,AILevel

;---------------------------------------------------------------------------
; Hug Press (Arms)
[Statedef 811]
type    = S
movetype = H
physics = N
ctrl = 0
anim = 811
sprpriority = 0
velset = 0,0

[State 0, BindToRoot]
type = BindToRoot
trigger1 = 1
pos = 0,0

[State 0, Turn]
type = Turn
trigger1 = root,var(2)
trigger1 = AnimElem = 2

[State 1005, ChangeState]
type = DestroySelf
trigger1 = animtime = 0

;---------------------------------------------------------------------------
; Heart Seal FX (Light)
[Statedef 1001]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 1001
juggle = 3
sprpriority = 3
velset = 0,0

[State 1011, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1001, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (10*root,fvar(15)),5
getpower = 20,10
givepower = 14,7
guardflag = MAF
hitflag = MAF
pausetime = 0,0
sparkno = -1
guard.sparkno = s8510
sparkxy = ceil(-30*const(size.xscale)),ceil(-40*const(size.yscale))
hitsound   = s1001,0
guardsound = s6,0
ground.type = High
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -6
p2stateno = 1003

[State 1001, Explod Spark Hit]
type = Explod
trigger1 = movehit && numtarget
trigger1 = (target,time=0)&&(target,movetype=H)
anim = 1003
pos = 10,-130
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 20,20
scale = .5,.5
sprpriority = 4
ontop = 0
ignorehitpause = 0
shadow = 0,0,0
ownpal = 1

[State 1001, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1002
attr = SCA,AA,AP        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 
 
[State 1001, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause= 1

[State 1001, ChangeState]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = root,command = "QCF_x"
trigger4 = root,command = "QCF_y"
trigger5 = time > 60
value = 1002

;---------------------------------------------------------------------------
; Heart Seal FX (Hit)
[Statedef 1002]
type = A
movetype = H
physics = N
ctrl = 0
anim = 1002
juggle = 0
sprpriority = 3
velset = 0,0

[State 1002, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger1 = Time>= 20
trigger2 = root,stateno=[5000,5999]

;---------------------------------------------------------------------------
; Hit by Heart Seal (Light) (Start) (P2)
[Statedef 1003]
type = U
movetype = H
physics = U
juggle = 3
ctrl = 0
velset = 0,0

[State 1003, NotHitBy]
type = NotHitBy
trigger1 = 1
value =,SP
persistent = 1

[State 1003, Blink]
type = PalFX
trigger1 = time < 1
time = 79
add = 40,0,20
sinadd = 50,0,30,20

[State 1003, ChangeAnim]
type = ChangeAnim
trigger1 = 1
value = anim
elem = animelemno(0)

[State 1003, PosFreeze]
type = PosFreeze
trigger1 = time < 80

[State 1003, SelfState]
type = ChangeState
trigger1 = time > 80
value = 1004

;---------------------------------------------------------------------------
; Hit by Heart Seal (Light) (Emd) (P2)
[Statedef 1004]
movetype = H
physics = N
juggle = 3
velset = -3,-8
poweradd = 0

[State 1001, Hitby]
type= HitBy
trigger1 = 1
time = 40
value = SCA, NA, SA, HA
ignorehitpause= 1

[State 1004, 1]
type = StateTypeSet
trigger1 = 1
trigger1 = GetHitVar(yvel) != 0 || GetHitVar(fall)
trigger2 = Pos Y != 0
statetype = a

[State 1004, ChangeAnim]
type = ChangeAnim
trigger1 = time = 0
value = 5051

[State 1004, ChangeAnim]
type = ChangeAnim
trigger1 = time = 5
value = 5061

[State 1004, 1] ;Gravity
type = VelAdd
trigger1 = 1
y = .8

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground

;---------------------------------------------------------------------------
; Heart Seal FX (Strong)
[Statedef 1011]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 1001
juggle = 3
sprpriority = 3
velset = 0,0

[State 1011, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1011, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (10*root,fvar(15)),5
getpower = 20,10
givepower = 14,7
guardflag = MAF
hitflag = MAF
pausetime = 0,0
sparkno = -1
guard.sparkno = s8510
sparkxy = ceil(-30*const(size.xscale)),ceil(-40*const(size.yscale))
hitsound   = s1001,0
guardsound = s6,0
ground.type = High
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -6
p2stateno = 1013

[State 1011, Explod Spark Hit]
type = Explod
trigger1 = movehit && numtarget
trigger1 = (target,time=0)&&(target,movetype=H)
anim = 1003
pos = 10,-130
postype = p2  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 10,10
scale = .5,.5
sprpriority = 4
ontop = 0
ignorehitpause = 1
shadow = 0,0,0
ownpal = 1

[State 1011, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1002
attr = SCA,AA,AP        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1
;ignorehitpause = 
;persistent = 
 
[State 1011, Hitby]
type= HitBy
trigger1 = 1
time= -1
value = SCA, NP, SP, HP
ignorehitpause= 1

[State 1011, ChangeState]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = root,command = "QCF_x"
trigger4 = root,command = "QCF_y"
trigger5 = time > 120
value = 1002

;---------------------------------------------------------------------------
; Hit by Heart Seal (Strong) (Start) (P2)
[Statedef 1013]
type = U
movetype = H
physics = U
juggle = 3
ctrl = 0
velset = 0,0

[State 1013, NotHitBy]
type = NotHitBy
trigger1 = 1
value =,SP

[State 1013, Blink]
type = PalFX
trigger1 = time < 1
time = 99
add = 40,0,20
sinadd = 50,0,30,20

[State 1013, ChangeAnim]
type = ChangeAnim
trigger1 = 1
value = anim
elem = animelemno(0)

[State 1013, PosFreeze]
type = PosFreeze
trigger1 = time < 100

[State 1013, SelfState]
type = ChangeState
trigger1 = time > 100
value = 1004

;---------------------------------------------------------------------------
; Sweet Rain FX 1
[Statedef 1035]
type    = S
movetype = A
physics = N
anim = 1035
velset = 5,2.2
sprpriority = 3

[State 1035, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1035, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (25*root,fvar(15)),4
getpower = 20,10
givepower = 14,7
hitflag = MAFD
guardflag = MAF
priority = 5
pausetime = 6,6
sparkno = s11000+(random%3)
guard.sparkno = s8500
sparkxy = ceil(-30*const(size.xscale)),ceil(-22*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
animtype = Light
ground.type = High
ground.slidetime = 12
ground.hittime  = 12
ground.velocity = -8,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
air.velocity = -8,0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -4
yaccel = 0.75

[State 1035, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1039
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 
 
[State 1035, Hitby]
type= HitBy
trigger1 = 1
time = -1
value = SCA, NP, SP, HP

[State 1035, DestroySelf]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = time > 0
trigger3 = Pos Y >= 0
value = 1039

;---------------------------------------------------------------------------
; Sweet Rain FX 2
[Statedef 1036]
type    = S
movetype = A
physics = N
anim = 1035
velset = 4.4,2.8
sprpriority = 3

[State 1036, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1036, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (25*root,fvar(15)),4
getpower = 20,10
givepower = 14,7
hitflag = MAFD
guardflag = MAF
priority = 5
pausetime = 6,6
sparkno = s11000+(random%3)
guard.sparkno = s8500
sparkxy = ceil(-30*const(size.xscale)),ceil(-22*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
animtype = Light
ground.type = High
ground.slidetime = 12
ground.hittime  = 12
ground.velocity = -8,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
air.velocity = -8,0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -4
yaccel = 0.75

[State 1036, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1039
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
persistent = 0
;ignorehitpause = 
;persistent = 
 
[State 1036, Hitby]
type= HitBy
trigger1 = 1
time = -1
value = SCA, NP, SP, HP

[State 1036, DestroySelf]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = time > 0
trigger3 = Pos Y >= 0
value = 1039

;---------------------------------------------------------------------------
; Sweet Rain FX 3
[Statedef 1037]
type    = S
movetype = A
physics = N
anim = 1035
velset = 3.8,3.4
sprpriority = 3

[State 1036, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1037, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (25*root,fvar(15)),4
getpower = 20,10
givepower = 14,7
hitflag = MAFD
guardflag = MAF
priority = 5
pausetime = 6,6
sparkno = s11000+(random%3)
guard.sparkno = s8500
sparkxy = ceil(-30*const(size.xscale)),ceil(-22*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
animtype = Light
ground.type = Low
ground.slidetime = 12
ground.hittime  = 12
ground.velocity = -8,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
air.velocity = -8,0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -4
yaccel = 0.75

[State 1037, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1039
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 
 
[State 1037, Hitby]
type= HitBy
trigger1 = 1
time = -1
value = SCA, NP, SP, HP

[State 1037, DestroySelf]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = time > 0
trigger3 = Pos Y >= 0
value = 1039

;---------------------------------------------------------------------------
; Sweet Rain FX 4
[Statedef 1038]
type    = S
movetype = A
physics = N
anim = 1035
velset = 2.12,4
sprpriority = 5

[State 1036, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 1002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1038, Hit]
type = HitDef
trigger1 = time = 0
attr = S,SP
animtype  = Light
damage    = ceil (25*root,fvar(15)),4
getpower = 20,10
givepower = 14,7
hitflag = MAFD
guardflag = MAF
priority = 5
pausetime = 6,6
sparkno = s11000+(random%3)
guard.sparkno = s8500
sparkxy = ceil(-30*const(size.xscale)),ceil(-22*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
animtype = Light
ground.type = Low
ground.slidetime = 12
ground.hittime  = 12
ground.velocity = -8,0
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
air.velocity = -8,0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -4
yaccel = 0.75

[State 1038, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 1039
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 

[State 1038, Hitby]
type= HitBy
trigger1 = 1
time = -1
value = SCA, NP, SP, HP

[State 1038, DestroySelf]
type = ChangeState
trigger1 = movehit
trigger2 = moveguarded
trigger3 = time > 0
trigger3 = Pos Y >= 0
value = 1039

;---------------------------------------------------------------------------
; Sweet Rain FX (Hit)
[Statedef 1039]
type = A
movetype = I
physics = N
anim = 1036
juggle = 0
sprpriority = 3

[State 1039, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger1 = Time>= 10
trigger2 = root,stateno=[5000,5999]

;---------------------------------------------------------------------------
; Gita's Whirlwind FX (Vel Right)
[Statedef 3002]
type    = S
movetype = A
physics = N
ctrl = 0
anim = 3002
sprpriority = 4
juggle = 2
velset = 0,0

[State 3002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 3002, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 3002, Hit]
type = HitDef
trigger1 = time = 0
attr = S,HP
animtype  = Hard
damage    = ceil (50*root,fvar(15)),5
getpower = 0,0
givepower = 44,14
guardflag = MAF
guard.sparkno = -1
hitflag = MAFD
pausetime = 0,0
priority = 6
p1sprpriority = 4
sparkno = s11040+(random%3)
guard.sparkno = s8520
sparkxy = ceil(-30*const(size.xscale)),ceil(-140*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = 4,-14
guard.velocity = -6
air.velocity = 4,-12
yaccel = 1
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -6
fall = 1
air.fall = 1
fall.recover = 0

[State 3002, AfterImage]
type = AfterImage
trigger1 = Time = 0
time = -1
length = 10
framegap = 2
trans = addalpha
alpha = 128,256
paladd = 0,0,0
palcontrast = 120,120,120

[State 3002, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7901
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 
 
[State 3002, Hitby]
type= HitBy
trigger1 = 1
value = SCA,NP,SP,HP
time = -1

[State 3002, SFX]
type = PlaySnd
trigger1 = time = 0
value = 3003, 0

[State 3005, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger1 = Time>= 40
trigger2 = root,stateno=[5000,5999]

;---------------------------------------------------------------------------
; Gita's Whirlwind FX (Vel Left)
[Statedef 3003]
type    = S
movetype = A
physics = N
ctrl = 0
anim = 3002
sprpriority = 4
juggle = 2
velset = 0,0

[State 3003, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1011, ParentVarSet]
type= ParentVarSet
trigger1 = 1
var(1) = 2

[State 3003, Hit]
type = HitDef
trigger1 = time = 0
attr = S,HP
animtype  = Hard
damage    = ceil (50*root,fvar(15)),5
getpower = 0,10
guardflag = MAF
guard.sparkno = -1
hitflag = MAFD
priority = 6
p1sprpriority = 4
pausetime = 0,0
sparkno = s11040+(random%3)
guard.sparkno = s8520
sparkxy = ceil(-30*const(size.xscale)),ceil(-140*const(size.yscale))
hitsound   = s1002,0
guardsound = s1003,0
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = -4,-14
guard.velocity = -6
air.velocity = -4,-12
yaccel = 1
ground.cornerpush.veloff = 0
air.cornerpush.veloff = 0
envshake.time = 15
envshake.freq = 60
envshake.ampl = -6
fall = 1
fall.recover = 0

[State 3003, AfterImage]
type = AfterImage
trigger1 = Time = 0
time = -1
length = 10
framegap = 2
trans = addalpha
alpha = 128,256
paladd = 0,0,0
palcontrast = 120,120,120

[State 3003, HitOverride]
type = HitOverride
trigger1 = 1
stateno = 7901
attr = SCA,AA,AP,AT        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = -1
;ignorehitpause = 
;persistent = 
 
[State 3003, Hitby]
type= HitBy
trigger1 = 1
value = SCA,NP,SP,HP
time = -1

[State 3003, SFX]
type = PlaySnd
trigger1 = time = 0
value = 3003, 0

[State 3005, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger1 = Time>= 40
trigger2 = root,stateno=[5000,5999]

;---------------------------------------------------------------------------
; Moe Moe Kyun! 1
[Statedef 3060]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 6

[State 3060, Flash]
type = AllPalFx
Trigger1 = time < 9
time = 1
add = 255-Time*25,255-Time*25,255-Time*25
mul = 255,255,255
color = 255

[State 3060, BG]
type = Explod
trigger1 = time = 1
anim = 3066
ID = 3066
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 100
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 6
ownpal = 0
removeongethit = 0

[State 3060, BG 2] 
type = Explod
trigger1 = time = 1
anim = 3065
ID = 3065
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 100
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 7
ownpal = 0
trans = addalpha
alpha = 192,256
removeongethit = 0

[State 3060, Explod]
type = Explod
trigger1 = time = 0
anim = 3052
ID = 3052
pos = 320,240
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 100
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 8
ownpal = 0
removeongethit = 0

[State 3060, ModifyExplod]
type = ModifyExplod
trigger1 = time = 10
ID = 3052
pos = 320,240
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 1,0

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 100
;ignorehitpause = 

;---------------------------------------------------------------------------
; Moe Moe Kyun! 2
[Statedef 3061]
type    = S
movetype = A
physics = N
ctrl = 0
anim = 9999
sprpriority = 3
velset = 0,0

[State 3061, BG]
type = Explod
trigger1 = time = 1
anim = 3067
ID = 3067
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 200
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = -1
ownpal = 0
removeongethit = 0
trans = addalpha
alpha = 80,256

[State 3060, BG]
type = Explod
trigger1 = time = 1
anim = 3066
ID = 3066
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 200
pausemovetime = 0
supermovetime = 0
scale = 1,1
sprpriority = -1
ownpal = 0
removeongethit = 0

[State 3061, DestroySelf]
type = DestroySelf
trigger1 = time = 200
;ignorehitpause = 

;---------------------------------------------------------------------------
;Flash KO Helper Special
[Statedef 4000]
type    = A
physics = N 
anim = 9999 

[State 4000, Flash KO Sound Special]
type = PlaySnd
triggerall = Winko
trigger1 = (root,stateno = [800,1999])
trigger1 = time = 0
value = 4000, 0

[State 4000, Flash KO Helper]
type = AllPalFx
triggerall = winko
trigger1 = (root,stateno = [800,1999])
Trigger1 = time < 9
time = 1
add = 255-Time*30,255-Time*30,255-Time*30
mul = 255,255,255
color = 0

[State 4000, DestroySelf]
type = DestroySelf
trigger1 = roundstate !=[3,4]

;---------------------------------------------------------------------------
;Flash & PAUSE KO Helper Hyper
[Statedef 4001]
type    = A
physics = N 
anim = 9999

[State 4001, AssertSpecial]
type = AssertSpecial
flag = nomusic
triggerall = winko
triggerall = (root,stateno = [3000,3999])
trigger1 = time < 60

[State 4001, AssertSpecial]
type = AssertSpecial
flag = nofg
triggerall = winko
triggerall = (root,stateno = [3000,3999])
trigger1 = time < 90

[State 4001, Hyper BG Flash]
type = helper
trigger1 = time = 90
ID = 4002
stateno = 4002
ignorehitpause = 1
persistent = 1

[State 4002, BG]
type = Explod
trigger1 = time = 0
anim = 10005
ID = 10005
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 92
supermovetime = 9999
pausemovetime = 9999
scale = 1.024,1.024
ignorehitpause = 1
sprpriority = 0
ownpal = 0
removeongethit = 0

[State 4001, Flash KO Sound Hyper]
type = PlaySnd
triggerall = Winko
trigger1 = (root,stateno = [3000,3999])
trigger1 = time = 0
value = 4000, 0

[State 4001, Flash KO Helper]
type = AllPalFx
triggerall = winko
trigger1 = (root,stateno = [3000,3999])
Trigger1 = time < 9
time = 1
add = 255-Time*30,255-Time*30,255-Time*30
mul = 255,255,255
color = 255

[State 4001, Pause]
type = Pause
trigger1 = (root,stateno = [3000,3999])
Trigger1 = time < 60
time = 5
movetime = 5
pausebg = 1

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = roundstate !=[3,4]

;---------------------------------------------------------------------------
;Hyper BG Helper
[Statedef 4002]
type    = A
physics = N 
anim = 9999
sprpriority = 1

[State 4002, Flash KO Helper]
type = BGPalFx
Trigger1 = time < 9
time = 1
add = 255-Time*20,255-Time*15,255-Time*20
mul = 255,255,255
color = 255

[State 4002, DestroySelf]
type = DestroySelf
trigger1 = roundstate !=[3,4]
;---------------------------------------------------------------------------
;Perfect! Text Helper
[Statedef 6000]
type    = S
movetype = A
physics = N 
anim = 9999 

[State 5000, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nokoslow

[State 5000, BG]
type = Explod
trigger1 = time = 0
anim = 10030
ID = 10030
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = facing
vfacing = 1
bindtime = -1
removetime = -2
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 6
ownpal = 0
removeongethit = 0

[State 5000, DestroySelf]
type = DestroySelf
trigger1 = !Animtime
;ignorehitpause = 

;---------------------------------------------------------------------------
; Dizzy Cancelation FX (Attack)
[Statedef 7000]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 7000
sprpriority = 3
velset = 0,0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 194, AngleDraw]
type = AngleDraw
trigger1 = time = [0,15]
scale = .10+(.125*(time+15)),.10+(.125*(time+15))

[State 0, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 200,256

[State 0, DestroySelf]
type = DestroySelf
trigger1 = !Animtime
;ignorehitpause = 

;---------------------------------------------------------------------------
; Dizzy Guard Cancel FX
[Statedef 7001]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 7001
sprpriority = 3
velset = 0,0

[State 7001, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 7001, AngleDraw]
type = AngleDraw
trigger1 = time = [0,20]
scale = .02+(.08*(time+20)),.02+(.08*(time+20))

[State 7001, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 200,256

[State 7001, DestroySelf]
type = DestroySelf
trigger1 = !Animtime
;ignorehitpause = 

;---------------------------------------------------------------------------
; Beam FX (All FX Hit by Projectile)
[Statedef 7901]
type = U
ctrl = 0
juggle = 0
velset = 0,0
sprpriority = 4

[State 7901, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 1001, DestroySelf]
type = DestroySelf
trigger1 = IsHelper
trigger1 = P2MoveType!=H
trigger1 = Time>= 40
trigger2 = root,stateno=[5000,5999]

;---------------------------------------------------------------------------
; Hyper FX (Level 1)
[Statedef 10000]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 3
velset = 0,0

[State 10000, Hyper FX (Level 1)]
type = Explod
trigger1 = !time
anim = 10000
ID = 10000
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 3
ownpal = 0
removeongethit = 0

[State 10000, ModifyExplod]
type = ModifyExplod
trigger1 = time < 20
ID = 10000
scale = .25-(.3*(time-20)),.25-(.3*(time-20))

[State 10000, DestroySelf]
type = DestroySelf
trigger1 = time = 40
;ignorehitpause = 

;---------------------------------------------------------------------------
; Hyper FX (Max Level)
[Statedef 10001]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 3
velset = 0,0

[State 10001, Hyper FX (Level 3)]
type = Explod
trigger1 = !time
anim = 10001
ID = 10001
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 4
ownpal = 0
removeongethit = 0

[State 10001, Hyper FX Zoom (Level 3)]
type = Explod
trigger1 = !time
anim = 10003
ID = 10003
pos = 11,-1
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 4
ownpal = 0
removeongethit = 0

[State 10001, ModifyExplod]
type = ModifyExplod
trigger1 = time < 15
ID = 10003
scale = .7*(time-15),.7*(time-15)

[State 10001, DestroySelf]
type = DestroySelf
trigger1 = time = 40
;ignorehitpause = 

;---------------------------------------------------------------------------
; Hyper FX (Ring)
[Statedef 10002]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 10002
sprpriority = 3
velset = 0,0

[State 10002, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 10002, AngleDraw]
type = AngleDraw
trigger1 = time = [0,20]
scale = .15+(.1*(time+5)),.15+(.1*(time+5))

[State 10002, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 200,256

[State 10002, DestroySelf]
type = DestroySelf
trigger1 = !Animtime
;ignorehitpause = 

;---------------------------------------------------------------------------
; Hyper Portrait FX
[Statedef 10020]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 1
velset = 0,0

[State 10020, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow

[State 10021, Hyper Portrait (Level 1)]
type = Explod
trigger1 = !time
anim = 10020
ID = 10020
pos = 180,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 0

[State 10021, ModifyExplod]
type = ModifyExplod
trigger1 = time > 30
ID = 10020
scale = .5+(.5*(time-30)),.5+(.5*(time-30))

[State 10020, DestroySelf]
type = DestroySelf
trigger1 = time = 40
;ignorehitpause =

;---------------------------------------------------------------------------
; Hyper Portrait FX (Level 3)
[Statedef 10021]
type    = S
movetype = A
physics = S
ctrl = 0
anim = 9999
sprpriority = 0
velset = 0,0

[State 10021, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nofg
flag3 = nobardisplay

[State 10021, Hyper Portrait (Level 3)]
type = Explod
trigger1 = !time
anim = 10021
ID = 10021
pos = 320,floor(GameHeight/2.0)
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
pausemovetime = 9999
supermovetime = 9999
scale = 1,1
sprpriority = 0
ownpal = 0
removeongethit = 0

[State 10021, ModifyExplod Zoom]
type = ModifyExplod
trigger1 = time > 35
ID = 10021
scale = .5+(.5*(time-35)),.5+(.5*(time-35))

[State 10021, Trans]
type = Trans
trigger1 = 1
trans = addalpha
alpha = 200,256

[State 10021, DestroySelf]
type = DestroySelf
trigger1 = time = 45
;ignorehitpause =

;----------------------------------------------------
;Danger! Text (Helper) ; Thanks GT Yzan for Code Base
[Statedef 20010]
type    = A    
physics = N           
anim = 9999
 
[State 20010, AssertSpecial]
type = AssertSpecial
trigger1 =  1
flag = noshadow 

[State 20010, Danger! Text Explod]
type = Explod
triggerall = root,alive
trigger1 = root,life <= lifemax/5
ID = 8010
anim = Cond(teamside = 1,8010,8110)
pos = Cond(teamside = 1, 10,520),160
postype = left  ;p2,front,back,left,right
bindtime = -1
removetime = -2
pausemovetime = 999999
supermovetime = 999999
scale = 1,1
sprpriority = 5
ontop = 1
ownpal = 1
ignorehitpause = 1
persistent = 0

[State 20010, DestroySelf]
type = DestroySelf
trigger1 = root,life > root,lifemax/5